#!/bin/csh

#This script is for CPMG data processing
#Insert and then delete a line at the beginning of the vclist file located in the direcroty containing the ser file  
#(this is done to remove a hidden character) 

### setup the name of delay file
set delayfile=../vclist  
echo The delay file name: $delayfile


### Check number of delay
set num=`wc ../vclist | awk '{print $1}'`
echo The number of delay for : $num


### Seperate ser files from ser "F2 pionts" "F1 points (1td*$num)" "number of delays"
sepsern_vv ../ser 2048 2048 $num


#### Sort fid files based on the delay
sort -n $delayfile > delay.txt
echo fid_name  '   '   delay
set sp=0

foreach np (`cat $delayfile | awk '{print NR, $1}' | sort -nk2 | awk '{print $1}'`)
  set sp=`expr $sp + 1`
bruk2pipe -in matrix_{$np} \
  -bad 0.0 -aswap -DMX -decim 1664 -dspfvs 20 -grpdly 67.9841613769531 \
  -xN              2048  -yN               128  \
  -xT              1024  -yT                64  \
  -xMODE            DQD  -yMODE  Echo-AntiEcho  \
  -xSW        12019.231  -ySW         2525.253  \
  -xOBS         800.414  -yOBS          81.114  \
  -xCAR           4.630  -yCAR         116.901  \
  -xLAB              HN  -yLAB             15N  \
  -ndim               2  -aq2D          States  \
  -out temp_{$sp}.fid -ov


  set delay=`awk -v rownum=$np '{if(NR==rownum) print}' $delayfile`

  echo matrix_{$np} "-->" temp_{$sp}.fid $delay 

end

